/* SCE CONFIDENTIAL
 * PLAYSTATION(R)3 Programmer Tool Runtime Library 084.006
 * Copyright (C) 2005 Sony Computer Entertainment Inc.
 * All Rights Reserved.
 */

/* f_sqrtf function */

_FUNC_DEF(
	float,
	f_sqrtf,
	(float x))
{
	float result;
	__asm__ volatile ("fsqrts %0,%1": "=f"(result) : "f"(x));
	return result;
}
